#include "chdecl.h"
void CH_chcode_choperands_proglit(current, sched, cop)
#define ARGUMENTS 7
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb31;
    case 4: goto c32;
    case 5: goto c34;
    case 6: goto c63;
    case 7: goto c69;
    case 8: goto c92;
    case 9: goto c99;
    case 10: goto c102;
    case 11: goto c106;
    case 12: goto c113;
    case 15: goto c141;
    case 13: goto c141;
    case 14: goto cb149;
    case 16: goto c151;
    case 17: goto c156;
    case 18: goto c159;
    case 19: goto cb177;
    case 20: goto c178;
    case 21: goto c183;
    case 22: goto c186;
    case 23: goto c191;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* privatize 3.0 */
  if (REF(3)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(0))) != Normal)
       goto ch_raise_exception;
/* lookup_at 4 3.0 =(0) */
  if ( !((ch_t = REF(3)DOT(0).value.table)->size) ) goto ch_notfound;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(4).value,0);
  REF(4).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 5 3.0 =(0) */
  if ((ch_returncode = remove_at_func(DEF(5),DEF(3)DOT(0),0)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* case 6 3.3 */
  REF(6).value.enumeration = REF(3)DOT(3).value.variant->info.variant_case;
  REF(6).tsdr = & dr_enumeration;
/* notequal . 6 =(1) , 24 */
  if ( REF(6).value.enumeration != 1 ) goto c24;
/* find 7 3.1 5 , 0 */
  if (findfunc(DEF(7),DEF(3)DOT(1),(
          arguments[0] = DEF(5),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* ige . 7.1 =(0) , 17 */
  if ( REF(7)DOT(1).value.integer >= 0 ) goto c17;
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c17:
/* reveal 3.3 , 1 */
  if (1 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* lookup_at 8 3.3.0.1 7.1 */
  if((ch_i = REF(7)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(3)DOT(0)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(8).value,ch_i);
  REF(8).tsdr = qdatarepmap[ch_t->tsdr->number];
/* oegt . =(13) 8.1 , 24 */
  if ( 13 > REF(8)DOT(1).value.ord_enum ) goto c24;
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c24:
/* size 9 3.0 */
  REF(9).value.integer = REF(3)DOT(0).value.table->size;
  REF(9).tsdr = & dr_integer;
/* equal . 9 =(0) , 34 */
  if ( REF(9).value.integer == 0 ) goto c34;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* find 10 3.1 5 , 0 */
  if (findfunc(DEF(10),DEF(3)DOT(1),(
          arguments[0] = DEF(5),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 11 10 3.1 , 0 */
  if ((ch_returncode = removefunc(DEF(11),DEF(10),DEF(3)DOT(1),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
  current->ip = 3;
cb31:
/* call 3.2 3.0 11.3 3.2 3.3 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(11)DOT(3),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[4+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c32:
/* insert 3.1 11 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 156 */
   goto c156;
c34:
/* case 12 3.3 */
  REF(12).value.enumeration = REF(3)DOT(3).value.variant->info.variant_case;
  REF(12).tsdr = & dr_enumeration;
/* equal . 12 =(3) , 43 */
  if ( REF(12).value.enumeration == 3 ) goto c43;
/* equal . 12 =(1) , 102 */
  if ( REF(12).value.enumeration == 1 ) goto c102;
/* equal . 12 =(0) , 106 */
  if ( REF(12).value.enumeration == 0 ) goto c106;
/* branch , 113 */
   goto c113;
c43:
/* find 13 3.1 5 , 0 */
  if (findfunc(DEF(13),DEF(3)DOT(1),(
          arguments[0] = DEF(5),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* size 14 13.3 */
  REF(14).value.integer = REF(13)DOT(3).value.table->size;
  REF(14).tsdr = & dr_integer;
/* equal 15 14 =(1) */
  REF(15).value.boolean = (REF(14).value.integer == 1);
  REF(15).tsdr = & dr_boolean;
/* branch_false 15 , 58 */
  if ( !REF(15).value.boolean ) goto c58;
/* initget 16 13.3 , 0,0 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(16),DEF(13)DOT(3),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 16 13.3 */
  if ((ch_returncode = get_selected_object(DEF(16),DEF(13)DOT(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* equal 17 16.0 =(0) */
  REF(17).value.boolean = (REF(16)DOT(0).value.integer == 0);
  REF(17).tsdr = & dr_boolean;
/* igt 18 16.2 =(1) */
  REF(18).value.boolean = (REF(16)DOT(2).value.integer > 1);
/* and 15 17 18 */
  REF(15).value.boolean = REF(17).value.boolean&REF(18).value.boolean;
  REF(15).tsdr = & dr_boolean;
/* endget 16 13.3 */
  end_selector(DEF(16),DEF(13)DOT(3),sched,GET);
c58:
/* branch_false 15 , 99 */
  if ( !REF(15).value.boolean ) goto c99;
/* reveal 3.3 , 3 */
  if (3 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* new_table 19 , 4 */
  if ((ch_returncode = che_new_table(DEF(19),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 20 13.3 */
  if((ch_returncode = cp_table(& ch_val, REF(13)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = & dr_table;
/* initget 21 20 , 0,0 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(21),DEF(20),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c63:
/* get_or_goto 21 20 , 67 */
  if ((ch_returncode = get_selected_object(DEF(21),DEF(20),sched)) != Normal)
     goto c67;
/* copy 22 21 */
  if((ch_returncode = (REF(21).tsdr->copy)(& ch_val, REF(21).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = datarepmap[REF(21).tsdr->number];
/* insert 19 22 */
  if ((ch_returncode = insertfunc(DEF(19),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 63 */
   goto c63;
c67:
/* endget 21 20 */
  end_selector(DEF(21),DEF(20),sched,GET);
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
c69:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* size 23 19 */
  REF(23).value.integer = REF(19).value.table->size;
  REF(23).tsdr = & dr_integer;
/* equal . 23 =(0) , 99 */
  if ( REF(23).value.integer == 0 ) goto c99;
/* privatize 19 */
  if (REF(19).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(19))) != Normal)
       goto ch_raise_exception;
/* initget 24 19 , 0,0 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(24),DEF(19),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 24 19 */
  if ((ch_returncode = get_selected_object(DEF(24),DEF(19),sched)) != Normal)
     goto ch_raise_exception;
/* remove 11 24 19 */
  if ((ch_returncode = che_remove(DEF(11),DEF(24),DEF(19),sched)) != Normal)
     goto ch_raise_exception;
/* endget 24 19 */
  end_selector(DEF(24),DEF(19),sched,GET);
/* igt . =(0) 11.1 , 90 */
  if ( 0 > REF(11)DOT(1).value.integer ) goto c90;
/* privatize 3.3.0 */
  if (REF(3)DOT(3)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(3)DOT(0))) != Normal)
       goto ch_raise_exception;
/* lookup_at 25 3.3.0 11.1 */
  if((ch_i = REF(11)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(25).value,ch_i);
  REF(25).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 26 3.3.0 11.1 */
  if ((ch_returncode = remove_at_func(DEF(26),DEF(3)DOT(3)DOT(0),
    REF(11)DOT(1).value.integer)) != Normal) goto ch_raise_exception;
/* unite 26.4 27 , 6 */
  if ((ch_returncode = che_unite(DEF(26)DOT(4),DEF(27),sched,6)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 26.1 , 15 */
  REF(26)DOT(1).value.ord_enum = 15;
  REF(26)DOT(1).tsdr = & dr_ord_enumeration;
/* insert_at 3.3.0 26 11.1 */
  ch_i = REF(11)DOT(1).value.integer;
  if (ch_i < 0 || REF(3)DOT(3)DOT(0).value.table->size < ch_i)
     goto ch_range_error;
  if ((ch_returncode = insertfunc(DEF(3)DOT(3)DOT(0),DEF(26),TRUE, ch_i
    )) != Normal) goto ch_raise_exception;
c90:
/* copy 28 11.3 */
  if((ch_returncode = cp_table(& ch_val, REF(11)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = & dr_table;
/* initget 29 28 , 0,0 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(29),DEF(28),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c92:
/* get_or_goto 29 28 , 96 */
  if ((ch_returncode = get_selected_object(DEF(29),DEF(28),sched)) != Normal)
     goto c96;
/* copy 30 29 */
  if((ch_returncode = (REF(29).tsdr->copy)(& ch_val, REF(29).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val;
  REF(30).tsdr = datarepmap[REF(29).tsdr->number];
/* insert 19 30 */
  if ((ch_returncode = insertfunc(DEF(19),DEF(30),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 92 */
   goto c92;
c96:
/* endget 29 28 */
  end_selector(DEF(29),DEF(28),sched,GET);
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* branch , 69 */
   goto c69;
c99:
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* branch , 156 */
   goto c156;
c102:
/* reveal 3.3 , 1 */
  if (1 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* boolean 3.3.0.0 , TRUE */
  REF(3)DOT(3)DOT(0)DOT(0).value.boolean = TRUE;
  REF(3)DOT(3)DOT(0)DOT(0).tsdr = & dr_boolean;
/* branch , 156 */
   goto c156;
c106:
/* reveal 3.3 , 0 */
  if (0 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* find 31 3.1 5 , 0 */
  if (findfunc(DEF(31),DEF(3)DOT(1),(
          arguments[0] = DEF(5),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 11 31 3.1 , 0 */
  if ((ch_returncode = removefunc(DEF(11),DEF(31),DEF(3)DOT(1),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* copy 11.1 3.3.0 */
  REF(11)DOT(1) = REF(3)DOT(3)DOT(0);
/* insert 3.1 11 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 156 */
   goto c156;
c113:
/* reveal 3.3 , 2 */
  if (2 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* find 32 3.1 5 , 0 */
  if (findfunc(DEF(32),DEF(3)DOT(1),(
          arguments[0] = DEF(5),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 11 32 3.1 , 0 */
  if ((ch_returncode = removefunc(DEF(11),DEF(32),DEF(3)DOT(1),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* igt . =(0) 11.1 , 138 */
  if ( 0 > REF(11)DOT(1).value.integer ) goto c138;
/* privatize 3.3.0.1 */
  if (REF(3)DOT(3)DOT(0)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(3)DOT(0)DOT(1))) != Normal)
       goto ch_raise_exception;
/* lookup_at 33 3.3.0.1 11.1 */
  if((ch_i = REF(11)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(3)DOT(0)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(33).value,ch_i);
  REF(33).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 26 3.3.0.1 11.1 */
  if ((ch_returncode = remove_at_func(DEF(26),DEF(3)DOT(3)DOT(0)DOT(1),
    REF(11)DOT(1).value.integer)) != Normal) goto ch_raise_exception;
/* iadd 26.3 26.3 3.3.0.0 */
  if (!chf_iadd(DEF(26)DOT(3),REF(26)DOT(3).value.integer,
    REF(3)DOT(3)DOT(0)DOT(0).value.integer)) goto ch_depletion;
/* iadd 26.2 26.2 3.3.0.0 */
  if (!chf_iadd(DEF(26)DOT(2),REF(26)DOT(2).value.integer,
    REF(3)DOT(3)DOT(0)DOT(0).value.integer)) goto ch_depletion;
/* copy 3.3.0.0 26.2 */
  REF(3)DOT(3)DOT(0)DOT(0) = REF(26)DOT(2);
/* ile . 26.2 =(1) , 137 */
  if ( REF(26)DOT(2).value.integer <= 1 ) goto c137;
/* ord_case 34 26.4 */
  REF(34).value.ord_enum = REF(26)DOT(4).value.variant->info.variant_case;
  REF(34).tsdr = & dr_ord_enumeration;
/* oege . 34 =(5) , 137 */
  if ( REF(34).value.ord_enum >= 5 ) goto c137;
/* unite 26.4 27 , 5 */
  if ((ch_returncode = che_unite(DEF(26)DOT(4),DEF(27),sched,5)) != Normal)
     goto ch_raise_exception;
c137:
/* insert_at 3.3.0.1 26 11.1 */
  ch_i = REF(11)DOT(1).value.integer;
  if (ch_i < 0 || REF(3)DOT(3)DOT(0)DOT(1).value.table->size < ch_i)
     goto ch_range_error;
  if ((ch_returncode = insertfunc(DEF(3)DOT(3)DOT(0)DOT(1),DEF(26),TRUE, ch_i
    )) != Normal) goto ch_raise_exception;
c138:
/* copy 11.2 3.3.0.0 */
  REF(11)DOT(2) = REF(3)DOT(3)DOT(0)DOT(0);
/* copy 35 11.3 */
  if((ch_returncode = cp_table(& ch_val, REF(11)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).value = ch_val;
  REF(35).tsdr = & dr_table;
/* initget 36 35 , 0,0 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(36),DEF(35),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c150:
c141:
/* get_or_goto 36 35 , 151 */
  if ((ch_returncode = get_selected_object(DEF(36),DEF(35),sched)) != Normal)
     goto c151;
/* new_table 37 , 5 */
  if ((ch_returncode = che_new_table(DEF(37),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 38 36.0 */
  if((ch_returncode = (REF(36)DOT(0).tsdr->copy)(& ch_val, REF(36)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val;
  REF(38).tsdr = datarepmap[REF(36)DOT(0).tsdr->number];
/* insert 37 38 */
  if ((ch_returncode = insertfunc(DEF(37),DEF(38),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* reveal 3.3 , 2 */
  if (2 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* copy 3.3.0.0 11.2 */
  REF(3)DOT(3)DOT(0)DOT(0) = REF(11)DOT(2);
  current->ip = 14;
cb149:
/* call 3.2 37 11.3 3.2 3.3 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(37),
          arguments[2] = DEF(11)DOT(3),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[4+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c151:
/* endget 36 35 */
  end_selector(DEF(36),DEF(35),sched,GET);
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* insert 3.1 11 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
c156:
/* discard 3.0 */
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 186 */
   goto c186;
c159:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* reveal 3.3 , 0 */
  if (0 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* new_record 11 , 4 */
  if ((ch_val.record = new_record(4)) == nil) goto ch_depletion;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val; REF(11).tsdr = & dr_record;
/* move 11.0 5 */
  (*(REF(11)DOT(0).tsdr)->finalize)(REF(11)DOT(0).value,F_DISCARD,sched);
  REF(11)DOT(0) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* ilit 11.2 , 0 */
  REF(11)DOT(2).value.integer = 0;
  REF(11)DOT(2).tsdr = & dr_integer;
/* new_table 11.3 , 6 */
  if ((ch_returncode = che_new_table(DEF(11)DOT(3),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* size 39 3.0 */
  REF(39).value.integer = REF(3)DOT(0).value.table->size;
  REF(39).tsdr = & dr_integer;
/* notequal . 39 =(0) , 174 */
  if ( REF(39).value.integer != 0 ) goto c174;
/* copy 11.1 3.3.0 */
  REF(11)DOT(1) = REF(3)DOT(3)DOT(0);
/* branch , 178 */
   goto c178;
c174:
/* ilit 11.1 , -1 */
  REF(11)DOT(1).value.integer = -1;
  REF(11)DOT(1).tsdr = & dr_integer;
  current->ip = 19;
cb177:
/* call 3.2 3.0 11.3 3.2 3.3 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(11)DOT(3),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[4+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c178:
/* discard 3.0 */
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0).tsdr = & dr_bottom;
/* insert 3.1 11 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 186 */
   goto c186;
c183:
/* reveal 3.3 , 1 */
  if (1 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* boolean 3.3.0.0 , FALSE */
  REF(3)DOT(3)DOT(0)DOT(0).value.boolean = FALSE;
  REF(3)DOT(3)DOT(0)DOT(0).tsdr = & dr_boolean;
c186:
/* discard 3.0 */
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c191:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
